package com.ruoyi.sapMaterial.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物料管理对象 sap_material
 * 
 * @author ruoyi
 * @date 2024-03-12
 */
public class SapMaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 物料id */
    private Long materialId;

    /** 编码 */
    @Excel(name = "编码")
    private String materialMatnr;

    /** 名称 */
    @Excel(name = "名称")
    private String materialMaktx;

    /** 销售组织 */
    @Excel(name = "销售组织")
    private String materialVkorg;

    /** 分销渠道 */
    @Excel(name = "分销渠道")
    private String materialVtweg;

    /** 单位 */
    @Excel(name = "单位")
    private String materialMeins;

    /** 产品组 */
    @Excel(name = "产品组")
    private String materialSpart;

    /** 产品组描述 */
    @Excel(name = "产品组描述")
    private String materialVtext;

    /** 类别 */
    @Excel(name = "类别")
    private String materialMatkl;

    /** 类别描述 */
    @Excel(name = "类别描述")
    private String materialWgbez;

    /** 单位净重 */
    @Excel(name = "单位净重")
    private String materialDwjz;

    /** 厂价 */
    @Excel(name = "厂价")
    private String materialChangj;

    /** 型号 */
    private String materialXingh;

    /** 规格 */
    private String materialGuig;

    /** 截面 */
    private String materialJiem;

    /** 电压 */
    private String materialDiany;

    /** 临时字段 */
    private String materialTemp;

    /** 临时字段(IEC型号) */
    private String materialModel;

    /** 标识(100米/卷) */
    @Excel(name = "标识(100米/卷)")
    private String materialMrbs;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private String materialSfyx;

    public void setMaterialId(Long materialId) 
    {
        this.materialId = materialId;
    }

    public Long getMaterialId() 
    {
        return materialId;
    }
    public void setMaterialMatnr(String materialMatnr) 
    {
        this.materialMatnr = materialMatnr;
    }

    public String getMaterialMatnr() 
    {
        return materialMatnr;
    }
    public void setMaterialMaktx(String materialMaktx) 
    {
        this.materialMaktx = materialMaktx;
    }

    public String getMaterialMaktx() 
    {
        return materialMaktx;
    }
    public void setMaterialVkorg(String materialVkorg) 
    {
        this.materialVkorg = materialVkorg;
    }

    public String getMaterialVkorg() 
    {
        return materialVkorg;
    }
    public void setMaterialVtweg(String materialVtweg) 
    {
        this.materialVtweg = materialVtweg;
    }

    public String getMaterialVtweg() 
    {
        return materialVtweg;
    }
    public void setMaterialMeins(String materialMeins) 
    {
        this.materialMeins = materialMeins;
    }

    public String getMaterialMeins() 
    {
        return materialMeins;
    }
    public void setMaterialSpart(String materialSpart) 
    {
        this.materialSpart = materialSpart;
    }

    public String getMaterialSpart() 
    {
        return materialSpart;
    }
    public void setMaterialVtext(String materialVtext) 
    {
        this.materialVtext = materialVtext;
    }

    public String getMaterialVtext() 
    {
        return materialVtext;
    }
    public void setMaterialMatkl(String materialMatkl) 
    {
        this.materialMatkl = materialMatkl;
    }

    public String getMaterialMatkl() 
    {
        return materialMatkl;
    }
    public void setMaterialWgbez(String materialWgbez) 
    {
        this.materialWgbez = materialWgbez;
    }

    public String getMaterialWgbez() 
    {
        return materialWgbez;
    }
    public void setMaterialDwjz(String materialDwjz) 
    {
        this.materialDwjz = materialDwjz;
    }

    public String getMaterialDwjz() 
    {
        return materialDwjz;
    }
    public void setMaterialChangj(String materialChangj) 
    {
        this.materialChangj = materialChangj;
    }

    public String getMaterialChangj() 
    {
        return materialChangj;
    }
    public void setMaterialXingh(String materialXingh) 
    {
        this.materialXingh = materialXingh;
    }

    public String getMaterialXingh() 
    {
        return materialXingh;
    }
    public void setMaterialGuig(String materialGuig) 
    {
        this.materialGuig = materialGuig;
    }

    public String getMaterialGuig() 
    {
        return materialGuig;
    }
    public void setMaterialJiem(String materialJiem) 
    {
        this.materialJiem = materialJiem;
    }

    public String getMaterialJiem() 
    {
        return materialJiem;
    }
    public void setMaterialDiany(String materialDiany) 
    {
        this.materialDiany = materialDiany;
    }

    public String getMaterialDiany() 
    {
        return materialDiany;
    }
    public void setMaterialTemp(String materialTemp) 
    {
        this.materialTemp = materialTemp;
    }

    public String getMaterialTemp() 
    {
        return materialTemp;
    }
    public void setMaterialModel(String materialModel) 
    {
        this.materialModel = materialModel;
    }

    public String getMaterialModel() 
    {
        return materialModel;
    }
    public void setMaterialMrbs(String materialMrbs) 
    {
        this.materialMrbs = materialMrbs;
    }

    public String getMaterialMrbs() 
    {
        return materialMrbs;
    }
    public void setMaterialSfyx(String materialSfyx) 
    {
        this.materialSfyx = materialSfyx;
    }

    public String getMaterialSfyx() 
    {
        return materialSfyx;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("materialId", getMaterialId())
            .append("materialMatnr", getMaterialMatnr())
            .append("materialMaktx", getMaterialMaktx())
            .append("materialVkorg", getMaterialVkorg())
            .append("materialVtweg", getMaterialVtweg())
            .append("materialMeins", getMaterialMeins())
            .append("materialSpart", getMaterialSpart())
            .append("materialVtext", getMaterialVtext())
            .append("materialMatkl", getMaterialMatkl())
            .append("materialWgbez", getMaterialWgbez())
            .append("materialDwjz", getMaterialDwjz())
            .append("materialChangj", getMaterialChangj())
            .append("materialXingh", getMaterialXingh())
            .append("materialGuig", getMaterialGuig())
            .append("materialJiem", getMaterialJiem())
            .append("materialDiany", getMaterialDiany())
            .append("materialTemp", getMaterialTemp())
            .append("materialModel", getMaterialModel())
            .append("materialMrbs", getMaterialMrbs())
            .append("materialSfyx", getMaterialSfyx())
            .toString();
    }
}
